RDCode: ForceFields::UFF::BondStretchContrib Class Reference

# ForceFields::UFF::BondStretchContrib Class Reference

The bond-stretch term for the Universal Force Field. More...

`#include <BondStretch.h>`

Inheritance diagram for ForceFields::UFF::BondStretchContrib:

List of all members.

## Public Member Functions
| BondStretchContrib ()
| BondStretchContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, double bondOrder, const AtomicParams *end1Params, const AtomicParams *end2Params)
| Constructor.
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position

## Detailed Description

The bond-stretch term for the Universal Force Field.

Definition at line 15 of file BondStretch.h.

## Constructor & Destructor Documentation

ForceFields::UFF::BondStretchContrib::BondStretchContrib | ( |  | ) | `[inline]`

Definition at line 17 of file BondStretch.h.

ForceFields::UFF::BondStretchContrib::BondStretchContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | bondOrder,
|  | const AtomicParams * | end1Params,
|  | const AtomicParams * | end2Params |
| ) |  |  |

Constructor.

Parameters:

  | owner | pointer to the owning ForceField
  | idx1 | index of end1 in the ForceField's positions
  | idx2 | index of end2 in the ForceField's positions
  | bondOrder | order of the bond (as a double)
  | end1Params | pointer to the parameters for end1
  | end2Params | pointer to the parameters for end2

## Member Function Documentation

double ForceFields::UFF::BondStretchContrib::getEnergy | ( | double * | pos | ) | const`[virtual]`

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::UFF::BondStretchContrib::getGrad | ( | double * | pos,
|  | double * | grad |
| ) |  |  | const`[virtual]`

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- BondStretch.h